Bug 234388 - replacing gimp-print with guntenprint stops printing working
Summary: replacing gimp-print with guntenprint stops printing working
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: foomatic   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2007-03-28 20:40 UTC by Andy Burns
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 3.0.2-46.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-30 11:42:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andy Burns 2007-03-28 20:40:18 UTC
Description of problem:

Installed F7 (rawhide from approx t3 freeze)
configured printing to Epson Stylus Photo R300
printed test page OK

I originally had extras repos disabled, upon re-enabling them I noticed
gutenprint was set to replace gimp-print, so I allowed it to do so, following
this the existing printer stopped working, I tried deleting and re-adding the
printer, it failed with a message about missing driver, ijsgimpprint, I note
instead that the program ijsgutenprint.5.0 exists instead.

Name   : gutenprint
Arch   : x86_64
Version: 5.0.0.99.1
Release: 2.fc7

Comment 1 Andy Burns 2007-03-28 21:00:58 UTC
I notice that gutenprint-cups wasn't installed, so installed it, and installed it.

I then ran

# cups-genppdupdate.5.0
No Gutenprint PPD files to update.

# cups-genppdconfig.5.0
About to call stp_init
Called stp_init
About to call stp_init
Called stp_init
dialog(1) is not available, but is required for interactive use. at
/usr/sbin/cups-genppdconfig.5.0 line 74.

# cups-genppd

Running system-config-printer, I did notice there were "many" drivers listed for
my Epson R300, choosing the en_GB one, made it crash though

"/usr/lib/cups/filter/rastertogutenprint.5.0: found
/usr/lib/cups/filter/commandtoepson: found
python: Objects/dictobject.c:603: PyDict_SetItem: Assertion `value' failed.
Aborted"



Comment 2 Tim Waugh 2007-03-29 16:57:06 UTC
> I tried deleting and re-adding the printer

Did you provide a PPD, or select a make/model from the list?

Please don't run random updater things -- I want to diagnose the problem before
anything gets mucked about with!

As for the s-c-printer crash, please file that as a separate bug report.  FWIW I
couldn't reproduce it.

Comment 3 Andy Burns 2007-03-30 09:35:59 UTC
(In reply to comment #2)

> Did you provide a PPD, or select a make/model from the list?

selected manufacturer/model from list
 
> Please don't run random updater things -- I want to diagnose the problem before
> anything gets mucked about with!

I'm re-installing rawhide fairly regularly, so can always get a clean install to
test with, just waned to quickly see if any of them helped.



Comment 4 Tim Waugh 2007-03-30 11:36:46 UTC
I think this is because we were shipping the gimp-print-4.2.7 XML data in
foomatic still.

Comment 5 Tim Waugh 2007-03-30 11:42:11 UTC
Should be fixed in foomatic-3.0.2-46.fc7.


Note You need to log in before you can comment on or make changes to this bug.